<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Fri May 25 11:54:51 EDT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>T-Index (SelekTOR Java Documentation)</title>
<meta name="date" content="2018-05-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="T-Index (SelekTOR Java Documentation)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-18.html">Prev Letter</a></li>
<li><a href="index-20.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-19.html" target="_top">Frames</a></li>
<li><a href="index-19.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">Q</a>&nbsp;<a href="index-17.html">R</a>&nbsp;<a href="index-18.html">S</a>&nbsp;<a href="index-19.html">T</a>&nbsp;<a href="index-20.html">U</a>&nbsp;<a href="index-21.html">V</a>&nbsp;<a href="index-22.html">W</a>&nbsp;<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="../client/NodeList.html#terminate--">terminate()</a></span> - Method in class client.<a href="../client/NodeList.html" title="class in client">NodeList</a></dt>
<dd>
<div class="block">Ensures any threaded actions will terminate themselves</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#testNode-java.lang.String-">testNode(String)</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Test specified node, non blocking</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#TESTSTATUS_FAILED">TESTSTATUS_FAILED</a></span> - Static variable in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#TESTSTATUS_PASSED">TESTSTATUS_PASSED</a></span> - Static variable in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#TESTSTATUS_UNKNOWN">TESTSTATUS_UNKNOWN</a></span> - Static variable in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../lib/TextResourceDialog.html" title="class in lib"><span class="typeNameLink">TextResourceDialog</span></a> - Class in <a href="../lib/package-summary.html">lib</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/TextResourceDialog.html#TextResourceDialog-java.awt.Frame-boolean-">TextResourceDialog(Frame, boolean)</a></span> - Constructor for class lib.<a href="../lib/TextResourceDialog.html" title="class in lib">TextResourceDialog</a></dt>
<dd>
<div class="block">Creates new License Dialog</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_BOOT_ERROR">TOR_BOOT_ERROR</a></span> - Static variable in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_BOOT_FATAL">TOR_BOOT_FATAL</a></span> - Static variable in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_BOOT_TIMEOUT">TOR_BOOT_TIMEOUT</a></span> - Static variable in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_BOOTED">TOR_BOOTED</a></span> - Static variable in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_BRIDGE">TOR_BRIDGE</a></span> - Static variable in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_CLOCK_ERROR">TOR_CLOCK_ERROR</a></span> - Static variable in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_DIRINFO_STALE">TOR_DIRINFO_STALE</a></span> - Static variable in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_MESSAGE">TOR_MESSAGE</a></span> - Static variable in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_NEWCIRC">TOR_NEWCIRC</a></span> - Static variable in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_NOEXITS">TOR_NOEXITS</a></span> - Static variable in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_NOHOP0">TOR_NOHOP0</a></span> - Static variable in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_NONET_ACTIVITY">TOR_NONET_ACTIVITY</a></span> - Static variable in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_NOROUTE">TOR_NOROUTE</a></span> - Static variable in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_RESTARTED">TOR_RESTARTED</a></span> - Static variable in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TOR_STOPPED">TOR_STOPPED</a></span> - Static variable in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../client/TorCircuit.html" title="class in client"><span class="typeNameLink">TorCircuit</span></a> - Class in <a href="../client/package-summary.html">client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorCircuit.html#TorCircuit--">TorCircuit()</a></span> - Constructor for class client.<a href="../client/TorCircuit.html" title="class in client">TorCircuit</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorCircuit.html#TorCircuit-java.lang.String-">TorCircuit(String)</a></span> - Constructor for class client.<a href="../client/TorCircuit.html" title="class in client">TorCircuit</a></dt>
<dd>
<div class="block">Constructor, Create circuit object with given circuit</div>
</dd>
<dt><a href="../client/TorController.html" title="class in client"><span class="typeNameLink">TorController</span></a> - Class in <a href="../client/package-summary.html">client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#TorController-java.lang.String-java.lang.String-">TorController(String, String)</a></span> - Constructor for class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><a href="../client/TorMonFrame.html" title="class in client"><span class="typeNameLink">TorMonFrame</span></a> - Class in <a href="../client/package-summary.html">client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorMonFrame.html#TorMonFrame--">TorMonFrame()</a></span> - Constructor for class client.<a href="../client/TorMonFrame.html" title="class in client">TorMonFrame</a></dt>
<dd>
<div class="block">Creates new form TorMonFrame</div>
</dd>
<dt><a href="../client/TorProcess.html" title="class in client"><span class="typeNameLink">TorProcess</span></a> - Class in <a href="../client/package-summary.html">client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#TorProcess-java.lang.String-java.lang.String-">TorProcess(String, String)</a></span> - Constructor for class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorController.html#torProcessEventFired-int-java.lang.String-">torProcessEventFired(int, String)</a></span> - Method in class client.<a href="../client/TorController.html" title="class in client">TorController</a></dt>
<dd>
<div class="block">Tor process event</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/TorProcess.html#torProcessEventFired-int-java.lang.String-">torProcessEventFired(int, String)</a></span> - Method in class client.<a href="../client/TorProcess.html" title="class in client">TorProcess</a></dt>
<dd>
<div class="block">Called if an event was fired, will be overidden by sub class</div>
</dd>
<dt><span class="memberNameLink"><a href="../client/PatternsEditor.PACTableModel.html#toString--">toString()</a></span> - Method in class client.<a href="../client/PatternsEditor.PACTableModel.html" title="class in client">PatternsEditor.PACTableModel</a></dt>
<dd>
<div class="block">Returns all data as a single string</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/Localisation.html#toWebLanguageTag--">toWebLanguageTag()</a></span> - Method in class lib.<a href="../lib/Localisation.html" title="class in lib">Localisation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../lib/TrayPopupMenu.html" title="class in lib"><span class="typeNameLink">TrayPopupMenu</span></a> - Class in <a href="../lib/package-summary.html">lib</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../lib/TrayPopupMenu.html#TrayPopupMenu--">TrayPopupMenu()</a></span> - Constructor for class lib.<a href="../lib/TrayPopupMenu.html" title="class in lib">TrayPopupMenu</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#TYPE_EXIT">TYPE_EXIT</a></span> - Static variable in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../client/NodeItem.html#TYPE_GUARD">TYPE_GUARD</a></span> - Static variable in class client.<a href="../client/NodeItem.html" title="class in client">NodeItem</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">Q</a>&nbsp;<a href="index-17.html">R</a>&nbsp;<a href="index-18.html">S</a>&nbsp;<a href="index-19.html">T</a>&nbsp;<a href="index-20.html">U</a>&nbsp;<a href="index-21.html">V</a>&nbsp;<a href="index-22.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-18.html">Prev Letter</a></li>
<li><a href="index-20.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-19.html" target="_top">Frames</a></li>
<li><a href="index-19.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
